Retrieve Webhook JWKs
/v1/webhooks/jwksRetrieves a list of Webhook JWKs (JSON Web Keys) from the tenant. These keys can be used to verify the HTTP signature and validate the integrity and authorship of generated Webhooks. This endpoint does not require authentication and is publicly available by design.
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/webhooks/jwks"{
"keys": [
{
"kty": "OKP",
"crv": "Ed25519",
"x": "11qYAYKxCrfVS_7TyWQHOg7hcvPapiMlrwIaaPcHURo",
"use": "sig",
"kid": "FdFYFzERwC2uCBB46pZQi4GG85LujR8obt-KWRBICVQ"
}
]
}How would you rate this page?
Delete Webhook DELETE
Deletes a Webhook by providing its ID. ### **Analytic events** * WEBHOOK_DELETE_START * WEBHOOK_DELETE_SUCCESS * WEBHOOK_DELETE_FAIL
Create a DID POST
Takes a supported [DID method](https://learn.mattr.global/docs/concepts/dids#methods) and returns a new DID with its generated keys and required information. This endpoint also registers the DID Document when applicable. MATTR VII currently supports creating DIDs of the following methods: - **did:key**: The most basic type of DID. The public key forms the DID and has no further data associated with it. - **did:web**: This type of DID requires hosting the DID document on a publicly accessible domain in order to make the document and its contents available. ### **Analytic events** * DID_CREATE_START * DID_CREATE_SUCCESS * DID_CREATE_FAIL